libstdc++

Public Member Functions | List of all members
std::out_of_range Class Reference
Exceptions
Inheritance diagram for std::out_of_range:
[legend]

## Public Member Functions

| out_of_range (const string &__arg)
virtual const char * | what () const noexcept

## Detailed Description

This represents an argument whose value is not within the expected range (e.g., boundary checks in basic_string).

Definition at line 100 of file stdexcept.

## Member Function Documentation

virtual const char* std::logic_error::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

The documentation for this class was generated from the following file:

- stdexcept